(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     18306,        602]*)
(*NotebookOutlinePosition[     19032,        627]*)
(*  CellTagsIndexPosition[     18988,        623]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Kompleksilukujen kunnan konstruointi", "Title"],

Cell["\<\
Seuraava esitys osoittaa, miten kompleksilukujoukko voidaan m\[ADoubleDot]\
\[ADoubleDot]ritell\[ADoubleDot] tunnetuista reaalisista \
k\[ADoubleDot]sitteist\[ADoubleDot] l\[ADoubleDot]htien. M\[ADoubleDot]\
\[ADoubleDot]rittelyjen j\[ADoubleDot]lkeen on helppoa osoittaa Mathematican \
laskentamahdollisuuksia k\[ADoubleDot]ytt\[ADoubleDot]en, ett\[ADoubleDot] \
tulos on algebralliselta rakenteeltaan kunta.\
\>", "Text"],

Cell[CellGroupData[{

Cell[TextData[{
  "Laskutoimistusten m\[ADoubleDot]\[ADoubleDot]rittely joukkoon ",
  Cell[BoxData[
      \(TraditionalForm\`\[DoubleStruckCapitalR]\^2\)]]
}], "Section"],

Cell[TextData[{
  "L\[ADoubleDot]ht\[ODoubleDot]kohtana on xy-taso, ts. joukko ",
  Cell[BoxData[
      \(TraditionalForm\`\[DoubleStruckCapitalR]\^2\)]],
  ", jonka alkioiden v\[ADoubleDot]lille m\[ADoubleDot]\[ADoubleDot]ritell\
\[ADoubleDot]\[ADoubleDot]n yhteen- ja kertolasku. Alkiot ovat lukupareja, \
Mathematican terminologialla kaksialkioisia listoja. M\[ADoubleDot]\
\[ADoubleDot]rittely\[ADoubleDot] varten muodostetaan aluksi testi, joka \
tarkistaa, ett\[ADoubleDot] funkion argumentit ovat sallittua tyyppi\
\[ADoubleDot]:"
}], "Text"],

Cell[BoxData[
    \(ctest[z_] := 
      Head[z] \[Equal] List\  && \ Length[z] \[Equal] 2\)], "Input"],

Cell["\<\
Laskutoimitukset ovat kahden argumentin funktioita, joiden arvona on \
argumenttien summa ja tulo siten kuin ne kompleksiluvuille m\[ADoubleDot]\
\[ADoubleDot]ritell\[ADoubleDot]\[ADoubleDot]n:\
\>", "Text"],

Cell[BoxData[
    \(summa[z_?ctest, 
        w_?ctest] := {z\_\(\(\[LeftDoubleBracket]\)\(1\)\(\
\[RightDoubleBracket]\)\) + 
          w\_\(\(\[LeftDoubleBracket]\)\(1\)\(\[RightDoubleBracket]\)\), 
        z\_\(\(\[LeftDoubleBracket]\)\(2\)\(\[RightDoubleBracket]\)\) + 
          w\_\(\(\[LeftDoubleBracket]\)\(2\)\(\[RightDoubleBracket]\)\)}\)], \
"Input"],

Cell[BoxData[
    \(tulo[z_?ctest, 
        w_?ctest] := {z\_\(\(\[LeftDoubleBracket]\)\(1\)\(\
\[RightDoubleBracket]\)\)\ w\_\(\(\[LeftDoubleBracket]\)\(1\)\(\
\[RightDoubleBracket]\)\) - 
          z\_\(\(\[LeftDoubleBracket]\)\(2\)\(\[RightDoubleBracket]\)\)\ \
w\_\(\(\[LeftDoubleBracket]\)\(2\)\(\[RightDoubleBracket]\)\), 
        z\_\(\(\[LeftDoubleBracket]\)\(1\)\(\[RightDoubleBracket]\)\)\ \
w\_\(\(\[LeftDoubleBracket]\)\(2\)\(\[RightDoubleBracket]\)\) + 
          z\_\(\(\[LeftDoubleBracket]\)\(2\)\(\[RightDoubleBracket]\)\)\ \
w\_\(\(\[LeftDoubleBracket]\)\(1\)\(\[RightDoubleBracket]\)\)}\)], "Input"],

Cell[TextData[{
  "Merkint\[ADoubleDot] ",
  Cell[BoxData[
      FormBox[
        SubscriptBox[
          StyleBox["z",
            FontWeight->"Plain",
            FontSlant->"Plain",
            FontTracking->"Plain",
            FontVariations->{"Underline"->False,
            "Outline"->False,
            "Shadow"->False,
            "StrikeThrough"->False,
            "Masked"->False,
            "CompatibilityType"->0,
            
            "RotationAngle"->
              0}], \(\(\[LeftDoubleBracket]\)\(k\)\(\[RightDoubleBracket]\)\)]\
, TraditionalForm]]],
  " viittaa listan z ",
  Cell[BoxData[
      \(TraditionalForm\`k\)]],
  ":nteen alkioon."
}], "Text"],

Cell[TextData[{
  "Jotta p\[ADoubleDot]\[ADoubleDot]st\[ADoubleDot]\[ADoubleDot]n \
luonnollisempiin summan ja tulon merkint\[ODoubleDot]ihin, asetetaan \
Mathematicassa valmiiksi m\[ADoubleDot]\[ADoubleDot]ritelty (mutta merkityst\
\[ADoubleDot] vailla oleva) funktio ",
  StyleBox["CirclePlus",
    FontFamily->"Courier New"],
  " tarkoittamaan funktiota ",
  StyleBox["summa",
    FontFamily->"Courier New"],
  ", vastaavasti ",
  StyleBox["CircleTimes",
    FontFamily->"Courier New"],
  " tarkoittamaan funktiota ",
  StyleBox["tulo",
    FontFamily->"Courier New"],
  ". T\[ADoubleDot]ll\[ODoubleDot]in laskutoimitusten symboleina voidaan k\
\[ADoubleDot]ytt\[ADoubleDot]\[ADoubleDot] renkaan sis\[ADoubleDot]ss\
\[ADoubleDot] olevia plus- ja kertomerkkej\[ADoubleDot] (vinoristi\
\[ADoubleDot])."
}], "Text"],

Cell[BoxData[
    \(\(CirclePlus = summa;\)\)], "Input"],

Cell[BoxData[
    \(\(CircleTimes = tulo;\)\)], "Input"],

Cell["T\[ADoubleDot]m\[ADoubleDot]n j\[ADoubleDot]lkeen laskutoimitukset \
toimivat normaaliin tapaan:", "Text"],

Cell[BoxData[
    \({1, 2}\[CirclePlus]{3, 4}\)], "Input"],

Cell[BoxData[
    \({1, 2}\[CircleTimes]{3, 4}\)], "Input"],

Cell["\<\
Nolla, ykk\[ODoubleDot]nen ja imaginaariyksikk\[ODoubleDot] ovat \
erikoisasemassa olevia kompleksilukuja ja n\[ADoubleDot]ille annetaan omat \
nimet:\
\>", "Text"],

Cell[BoxData[
    \(o = {0, 0}\)], "Input"],

Cell[BoxData[
    \(e = {1, 0}\)], "Input"],

Cell[BoxData[
    \(i = {0, 1}\)], "Input"],

Cell["T\[ADoubleDot]l\[ODoubleDot]in p\[ADoubleDot]tee", "Text"],

Cell[BoxData[
    \(i\[CircleTimes]i \[Equal] \(-e\)\)], "Input"],

Cell[TextData[{
  "Tuloksena on saatu yhteen- ja kertolaskulla varustettu kompleksilukujen \
joukko ",
  Cell[BoxData[
      \(TraditionalForm\`\[DoubleStruckCapitalC]\)]],
  "."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kuntastruktuuri", "Section"],

Cell[TextData[{
  "Joukko ",
  Cell[BoxData[
      \(TraditionalForm\`\[DoubleStruckCapitalC]\)]],
  " voidaan osoittaa kunnaksi tarkistamalla kunta-aksioomien voimassaolo. N\
\[ADoubleDot]iss\[ADoubleDot] esiintyy kolme mielivaltaisesti valittua \
kompleksilukua, joten luodaan kolme symbolista kaksialkioista listaa:"
}], "Text"],

Cell[BoxData[
    \(a = {\[Alpha]\_1, \[Alpha]\_2}; b = {\[Beta]\_1, \[Beta]\_2}; 
    c = {\[Gamma]\_1, \[Gamma]\_2};\)], "Input"],

Cell["\<\
N\[ADoubleDot]it\[ADoubleDot] k\[ADoubleDot]ytt\[ADoubleDot]en tarkistetaan \
kunta-aksioomien voimassaolo yksi kerrallaan.\
\>", "Text"],

Cell["Yhteenlaskun vaihdannaisuus:", "Text"],

Cell[BoxData[
    \(a\[CirclePlus]b \[Equal] b\[CirclePlus]a\)], "Input"],

Cell["Yhteenlaskun liit\[ADoubleDot]nn\[ADoubleDot]isyys:", "Text"],

Cell[BoxData[
    \(\((a\[CirclePlus]b)\)\[CirclePlus]c \[Equal] 
      a\[CirclePlus]\((b\[CirclePlus]c)\)\)], "Input"],

Cell[TextData[{
  "Yhteenlaskun neutraalialkio on nolla-alkio ",
  StyleBox["o",
    FontFamily->"Courier New"],
  ":"
}], "Text"],

Cell[BoxData[
    \(a\[CirclePlus]o \[Equal] a\)], "Input"],

Cell[TextData[{
  "Alkion  ",
  Cell[BoxData[
      \(a = {\[Alpha]\_1, \[Alpha]\_2}\)]],
  " vasta-alkio l\[ODoubleDot]ydet\[ADoubleDot]\[ADoubleDot]n ratkaisemalla \
yht\[ADoubleDot]l\[ODoubleDot]:"
}], "Text"],

Cell[BoxData[
    \(\(x = {\[Xi]\_1, \[Xi]\_2};\)\)], "Input"],

Cell[BoxData[
    \(Solve[a\[CirclePlus]x \[Equal] o, x]\)], "Input"],

Cell[BoxData[
    \(x /. %[\([1]\)]\)], "Input"],

Cell["Kertolaskun vaihdannaisuus:", "Text"],

Cell[BoxData[
    \(a\[CircleTimes]b \[Equal] b\[CircleTimes]a\)], "Input"],

Cell["\<\
Kertolaskun liit\[ADoubleDot]nn\[ADoubleDot]isyys, miss\[ADoubleDot] \
tarvitaan eksplisiittinen sievennysk\[ADoubleDot]sky:\
\>", "Text"],

Cell[BoxData[
    \(\((a\[CircleTimes]b)\)\[CircleTimes]c \[Equal] 
      a\[CircleTimes]\((b\[CircleTimes]c)\)\)], "Input"],

Cell[BoxData[
    \(% // Simplify\)], "Input"],

Cell[TextData[{
  "Kertolaskun neutraalialkio on ykk\[ODoubleDot]salkio ",
  StyleBox["e",
    FontFamily->"Courier New"],
  ":"
}], "Text"],

Cell[BoxData[
    \(a\[CircleTimes]e \[Equal] a\)], "Input"],

Cell[TextData[{
  "Alkion  ",
  Cell[BoxData[
      \(a = {\[Alpha]\_1, \[Alpha]\_2}\)]],
  " k\[ADoubleDot]\[ADoubleDot]nteisalkio l\[ODoubleDot]ydet\[ADoubleDot]\
\[ADoubleDot]n ratkaisemalla yht\[ADoubleDot]l\[ODoubleDot]:"
}], "Text"],

Cell[BoxData[
    \(Solve[a\[CircleTimes]x \[Equal] e, x]\)], "Input"],

Cell[BoxData[
    \(x /. %[\([1]\)]\)], "Input"],

Cell["Osittelulaki:", "Text"],

Cell[BoxData[
    \(a\[CircleTimes]\((b\[CirclePlus]c)\) \[Equal] \((a\[CircleTimes]b)\)\
\[CirclePlus]\((a\[CircleTimes]c)\)\)], "Input"],

Cell[BoxData[
    \(% // Simplify\)], "Input"],

Cell[TextData[{
  "Koska kaikki kunta-aksioomat ovat voimassa, joukko ",
  Cell[BoxData[
      \(TraditionalForm\`\[DoubleStruckCapitalC]\)]],
  " varustettuna edell\[ADoubleDot] m\[ADoubleDot]\[ADoubleDot]ritellyill\
\[ADoubleDot] laskutoimituksilla on todellakin kunta."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Lis\[ADoubleDot]yksi\[ADoubleDot] laskutoimitusten m\[ADoubleDot]\
\[ADoubleDot]rittelyyn", "Section"],

Cell["\<\
Koska sek\[ADoubleDot] summa ett\[ADoubleDot] tulo ovat liit\[ADoubleDot]nn\
\[ADoubleDot]isi\[ADoubleDot], olisi luontevaa sallia sulkujen poisj\
\[ADoubleDot]tt\[ADoubleDot]minen useamman termin summassa ja useamman tekij\
\[ADoubleDot]n tulossa. Ilman \
lis\[ADoubleDot]m\[ADoubleDot]\[ADoubleDot]rittelyj\[ADoubleDot] t\
\[ADoubleDot]m\[ADoubleDot] ei kuitenkaan onnistu, koska funktiot summa ja \
tulo on edell\[ADoubleDot] m\[ADoubleDot]\[ADoubleDot]ritelty vain kahden \
argumentin tapauksessa.\
\>", "Text"],

Cell[BoxData[
    \(a\[CirclePlus]b\[CirclePlus]c\)], "Input"],

Cell["Tarvittavat lis\[ADoubleDot]m\[ADoubleDot]\[ADoubleDot]rittelyt ovat \
seuraavat:", "Text"],

Cell[BoxData[
    \(summa[z_?ctest] := z\)], "Input"],

Cell[BoxData[
    \(summa[z__?ctest, w__?ctest] := summa[summa[z], summa[w]]\)], "Input"],

Cell[BoxData[
    \(tulo[z_?ctest] := z\)], "Input"],

Cell[BoxData[
    \(tulo[z__?ctest, w__?ctest] := tulo[tulo[z], tulo[w]]\)], "Input"],

Cell["\<\
T\[ADoubleDot]m\[ADoubleDot]n j\[ADoubleDot]lkeen sulkujen \
poisj\[ADoubleDot]tt\[ADoubleDot]minen tai mielivaltainen ryhmittely \
toimii:\
\>", "Text"],

Cell[BoxData[
    \(a\[CirclePlus]b\[CirclePlus]c\)], "Input"],

Cell[BoxData[
    \(a\[CirclePlus]b\[CirclePlus]c\[CirclePlus]a\[CirclePlus]b\[CirclePlus]c\
\[CirclePlus]a\)], "Input"],

Cell[BoxData[
    \(a\[CircleTimes]a\[CircleTimes]a\)], "Input"],

Cell[BoxData[
    \(lasku1 = \((a\[CircleTimes]\((a\[CircleTimes]a)\)\[CircleTimes]b)\)\
\[CircleTimes]\((c\[CircleTimes]a)\)\)], "Input"],

Cell[BoxData[
    \(lasku2 = 
      a\[CircleTimes]\((\((\((a\[CircleTimes]a)\)\[CircleTimes]b)\)\
\[CircleTimes]c\[CircleTimes]a)\)\)], "Input"],

Cell[BoxData[
    \(lasku1 - lasku2 // Simplify\)], "Input"],

Cell[TextData[{
  "Summan ja tulon laskuj\[ADoubleDot]rjestyst\[ADoubleDot] ei tarvitse \
erikseen m\[ADoubleDot]\[ADoubleDot]ritell\[ADoubleDot], sill\[ADoubleDot] \
Mathematicassa on valmiina m\[ADoubleDot]\[ADoubleDot]rittely, jonka mukaan \
",
  Cell[BoxData[
      \(TraditionalForm\`\[CircleTimes]\)]],
  " lasketaan ensin ja ",
  Cell[BoxData[
      \(TraditionalForm\`\[CirclePlus]\)]],
  " sen j\[ADoubleDot]lkeen:"
}], "Text"],

Cell[BoxData[
    \(\((a\[CircleTimes]b)\)\[CirclePlus]\((a\[CircleTimes]c)\) \[Equal] 
      a\[CircleTimes]b\[CirclePlus]a\[CircleTimes]c\)], "Input"],

Cell["\<\
My\[ODoubleDot]s ei-negatiivinen kokonaislukupotenssi voidaan m\[ADoubleDot]\
\[ADoubleDot]ritell\[ADoubleDot]:\
\>", "Text"],

Cell[BoxData[
    \(pottest[n_] := IntegerQ[n] && NonNegative[n]\)], "Input"],

Cell[BoxData[
    \(z_?ctest\[Diamond]n_?pottest := 
      Nest[z\[CircleTimes]# &, e, n]\)], "Input"],

Cell["\<\
Huomaa, ett\[ADoubleDot] symbolina ei ole tavallinen hattumerkki,vaan pieni \
vinoneli\[ODoubleDot]!\
\>", "Text"],

Cell[BoxData[
    \(a\[Diamond]2 // ExpandAll\)], "Input"],

Cell[BoxData[
    \(pot1 = a\[Diamond]5\[CircleTimes]b\[Diamond]3 // ExpandAll\)], "Input"],

Cell[BoxData[
    \(pot2 = 
      a\[CircleTimes]a\[CircleTimes]a\[CircleTimes]a\[CircleTimes]a\
\[CircleTimes]b\[CircleTimes]b\[CircleTimes]b // ExpandAll\)], "Input"],

Cell[BoxData[
    \(pot1 - pot2 // Simplify\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Siirtyminen kompleksilukujen tavanomaiseen esitykseen", "Section"],

Cell["\<\
Edell\[ADoubleDot] on rakennettu kompleksilukuaritmetiikkaa Mathematicaan \
tarkoituksena osoittaa, miten t\[ADoubleDot]m\[ADoubleDot] m\[ADoubleDot]\
\[ADoubleDot]ritelmien pohjalta tulisi periaatteessa tehd\[ADoubleDot]. \
Lopuksi on syyt\[ADoubleDot] katsoa, miten voidaan siirty\[ADoubleDot] \
kompleksilukujen tavanomaiseen esitykseen, mik\[ADoubleDot] toki on \
Mathematicassa valmiinakin. Edell\[ADoubleDot] k\[ADoubleDot]sitellyt \
kaksialkioisen listan muotoiset kompleksiluvut voidaan muuntaa normaaliin \
muotoon funktiolla\
\>", "Text"],

Cell[BoxData[
    \(normMuoto[z_?ctest] := 
      z\_\(\(\[LeftDoubleBracket]\)\(1\)\(\[RightDoubleBracket]\)\) + \
\[ImaginaryI]\ \
z\_\(\(\[LeftDoubleBracket]\)\(2\)\(\[RightDoubleBracket]\)\)\)], "Input"],

Cell[TextData[{
  "T\[ADoubleDot]ss\[ADoubleDot] ",
  Cell[BoxData[
      FormBox[
        StyleBox["\[ImaginaryI]",
          FontFamily->"Courier New"], TraditionalForm]]],
  " tarkoittaa imaginaariyksikk\[ODoubleDot]\[ADoubleDot]. Esimerkiksi:"
}], "Text"],

Cell[BoxData[
    \(normMuoto[a]\)], "Input"],

Cell[BoxData[
    \(normMuoto[a\[Diamond]2]\)], "Input"],

Cell[BoxData[
    \(ipot = Table[i\[Diamond]n, {n, 0, 10}]\)], "Input"],

Cell[BoxData[
    \(Map[normMuoto, ipot]\)], "Input"],

Cell["\<\
Varsinaisesti kompleksiluvuilla laskettaessa ne sy\[ODoubleDot]tet\
\[ADoubleDot]\[ADoubleDot]n Mathematicassa suoraan normaalimuodossa. \
Laskutoimitussymbolit ovat samoja kuin reaalisten muuttujien tapauksessa. \
Esimerkiksi:\
\>", "Text"],

Cell[BoxData[
    \(\((2 + 3\ \[ImaginaryI])\)\ \((4 + 5\ \[ImaginaryI])\)\)], "Input"],

Cell[BoxData[
    \(\((2 + 3\ \[ImaginaryI])\)/\((4 + 5\ \[ImaginaryI])\)\)], "Input"],

Cell[BoxData[
    \(Table[\[ImaginaryI]^n, {n, 0, 10}]\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Harjoitusteht\[ADoubleDot]vi\[ADoubleDot]", "Section"],

Cell[TextData[{
  "1) Laske kompleksilukujen ",
  Cell[BoxData[
      FormBox[
        RowBox[{\(z\_1\), "=", 
          RowBox[{\(-5\), "+", 
            RowBox[{"7", 
              StyleBox["\[ImaginaryI]",
                FontVariations->{"CompatibilityType"->0}]}]}]}], 
        TraditionalForm]]],
  " ja ",
  Cell[BoxData[
      FormBox[
        RowBox[{\(z\_2\), "=", 
          RowBox[{\(-2\), "-", 
            RowBox[{"11", 
              StyleBox["\[ImaginaryI]",
                FontVariations->{"CompatibilityType"->0}]}]}]}], 
        TraditionalForm]]],
  " summa, tulo ja osam\[ADoubleDot]\[ADoubleDot]r\[ADoubleDot] sek\
\[ADoubleDot] edell\[ADoubleDot] olevan m\[ADoubleDot]\[ADoubleDot]ritelm\
\[ADoubleDot]n mukaisella formalismilla ett\[ADoubleDot] normaalia tapaa k\
\[ADoubleDot]ytt\[ADoubleDot]en."
}], "Text",
  Background->RGBColor[1, 1, 0.568627]],

Cell[TextData[{
  "2) Laske kompleksilukujen ",
  Cell[BoxData[
      \(TraditionalForm\`z\_1 = \ 
        cos(\[CurlyPhi]\_1) + \[ImaginaryI]\ \(sin(\[CurlyPhi]\_1)\)\)]],
  " ja ",
  Cell[BoxData[
      \(TraditionalForm\`z\_2 = \ 
        cos(\[CurlyPhi]\_2) + \[ImaginaryI]\ \(sin(\[CurlyPhi]\_2)\)\)]],
  " tulo ja osam\[ADoubleDot]\[ADoubleDot]r\[ADoubleDot] sek\[ADoubleDot] \
luvun ",
  Cell[BoxData[
      \(TraditionalForm\`z\_1\)]],
  " k\[ADoubleDot]\[ADoubleDot]nteisluku edell\[ADoubleDot] olevan m\
\[ADoubleDot]\[ADoubleDot]ritelm\[ADoubleDot]n mukaisesti. Sievenn\
\[ADoubleDot] tulokset."
}], "Text",
  Background->RGBColor[1, 1, 0.568627]],

Cell[TextData[{
  "3) M\[ADoubleDot]\[ADoubleDot]rittele funktiot, jotka antavat \
reaalilukuparina esitetyn kompleksiluvun liittoluvun ja itseisarvon. Tarkista \
n\[ADoubleDot]it\[ADoubleDot] k\[ADoubleDot]ytt\[ADoubleDot]en, ett\
\[ADoubleDot] seuraavat yht\[ADoubleDot]l\[ODoubleDot]t ovat voimassa \
kaikille kompleksiluvuille: ",
  StyleBox["a",
    FontWeight->"Bold"],
  ") ",
  Cell[BoxData[
      \(TraditionalForm\`\(z\_1 + z\_2\)\&\[HorizontalLine] = 
        z\&_\_1 + z\&_\_2\)]],
  ", ",
  StyleBox["b",
    FontWeight->"Bold"],
  ") ",
  Cell[BoxData[
      \(TraditionalForm\`\(z\_1\ z\_2\)\&\[HorizontalLine] = 
        z\&_\_1\ z\&_\_2\)]],
  ", ",
  StyleBox["c",
    FontWeight->"Bold"],
  ") ",
  Cell[BoxData[
      \(TraditionalForm\`\(z\&_\)\&_ = z\)]],
  ", ",
  StyleBox["d",
    FontWeight->"Bold"],
  ") ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(|\)\(z\&_\)\(|\)\) = \(\(|\)\(z\)\(|\)\)\)]],
  ", ",
  StyleBox["e",
    FontWeight->"Bold"],
  ") ",
  Cell[BoxData[
      \(TraditionalForm\`z\ z\&_ = \(\(|\)\(z\)\( | \^2\)\)\)]],
  ", ",
  StyleBox["f",
    FontWeight->"Bold"],
  StyleBox[")",
    FontVariations->{"CompatibilityType"->0}],
  " ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(|\)\(z\_1\ z\_2\)\(|\)\) = \(\(|\)\(z\_1 || 
            z\_2\)\(|\)\)\)]],
  "."
}], "Text",
  Background->RGBColor[1, 1, 0.568627]],

Cell[TextData[{
  StyleBox["Simo K. Kivel\[ADoubleDot]",
    FontSlant->"Italic"],
  "    23.4.2005"
}], "Text"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"5.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 695}},
WindowSize->{662, 599},
WindowMargins->{{7, Automatic}, {Automatic, 1}},
ShowSelection->True,
CellLabelAutoDelete->True,
StyleDefinitions -> "Textbook.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 53, 0, 69, "Title"],
Cell[1832, 55, 433, 7, 42, "Text"],

Cell[CellGroupData[{
Cell[2290, 66, 170, 4, 85, "Section"],
Cell[2463, 72, 549, 10, 59, "Text"],
Cell[3015, 84, 102, 2, 30, "Input"],
Cell[3120, 88, 217, 4, 42, "Text"],
Cell[3340, 94, 360, 7, 30, "Input"],
Cell[3703, 103, 617, 10, 30, "Input"],
Cell[4323, 115, 677, 23, 26, "Text"],
Cell[5003, 140, 815, 20, 59, "Text"],
Cell[5821, 162, 56, 1, 30, "Input"],
Cell[5880, 165, 56, 1, 30, "Input"],
Cell[5939, 168, 112, 1, 25, "Text"],
Cell[6054, 171, 58, 1, 30, "Input"],
Cell[6115, 174, 59, 1, 30, "Input"],
Cell[6177, 177, 174, 4, 25, "Text"],
Cell[6354, 183, 43, 1, 30, "Input"],
Cell[6400, 186, 43, 1, 30, "Input"],
Cell[6446, 189, 43, 1, 30, "Input"],
Cell[6492, 192, 64, 0, 25, "Text"],
Cell[6559, 194, 65, 1, 30, "Input"],
Cell[6627, 197, 190, 6, 25, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6854, 208, 34, 0, 85, "Section"],
Cell[6891, 210, 331, 7, 42, "Text"],
Cell[7225, 219, 131, 2, 30, "Input"],
Cell[7359, 223, 147, 3, 25, "Text"],
Cell[7509, 228, 44, 0, 25, "Text"],
Cell[7556, 230, 73, 1, 30, "Input"],
Cell[7632, 233, 67, 0, 25, "Text"],
Cell[7702, 235, 120, 2, 30, "Input"],
Cell[7825, 239, 130, 5, 25, "Text"],
Cell[7958, 246, 59, 1, 30, "Input"],
Cell[8020, 249, 212, 6, 25, "Text"],
Cell[8235, 257, 62, 1, 30, "Input"],
Cell[8300, 260, 69, 1, 30, "Input"],
Cell[8372, 263, 48, 1, 30, "Input"],
Cell[8423, 266, 43, 0, 25, "Text"],
Cell[8469, 268, 75, 1, 30, "Input"],
Cell[8547, 271, 148, 3, 25, "Text"],
Cell[8698, 276, 124, 2, 30, "Input"],
Cell[8825, 280, 46, 1, 30, "Input"],
Cell[8874, 283, 140, 5, 25, "Text"],
Cell[9017, 290, 60, 1, 30, "Input"],
Cell[9080, 293, 238, 6, 25, "Text"],
Cell[9321, 301, 70, 1, 30, "Input"],
Cell[9394, 304, 48, 1, 30, "Input"],
Cell[9445, 307, 29, 0, 25, "Text"],
Cell[9477, 309, 138, 2, 30, "Input"],
Cell[9618, 313, 46, 1, 30, "Input"],
Cell[9667, 316, 284, 6, 25, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9988, 327, 108, 1, 85, "Section"],
Cell[10099, 330, 525, 9, 59, "Text"],
Cell[10627, 341, 62, 1, 30, "Input"],
Cell[10692, 344, 97, 1, 25, "Text"],
Cell[10792, 347, 53, 1, 30, "Input"],
Cell[10848, 350, 89, 1, 30, "Input"],
Cell[10940, 353, 52, 1, 30, "Input"],
Cell[10995, 356, 85, 1, 30, "Input"],
Cell[11083, 359, 163, 4, 25, "Text"],
Cell[11249, 365, 62, 1, 30, "Input"],
Cell[11314, 368, 120, 2, 30, "Input"],
Cell[11437, 372, 64, 1, 30, "Input"],
Cell[11504, 375, 138, 2, 30, "Input"],
Cell[11645, 379, 145, 3, 30, "Input"],
Cell[11793, 384, 60, 1, 30, "Input"],
Cell[11856, 387, 436, 11, 42, "Text"],
Cell[12295, 400, 152, 2, 30, "Input"],
Cell[12450, 404, 135, 3, 25, "Text"],
Cell[12588, 409, 77, 1, 30, "Input"],
Cell[12668, 412, 102, 2, 30, "Input"],
Cell[12773, 416, 124, 3, 25, "Text"],
Cell[12900, 421, 58, 1, 30, "Input"],
Cell[12961, 424, 91, 1, 30, "Input"],
Cell[13055, 427, 168, 3, 30, "Input"],
Cell[13226, 432, 56, 1, 30, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13319, 438, 72, 0, 85, "Section"],
Cell[13394, 440, 558, 9, 76, "Text"],
Cell[13955, 451, 207, 4, 30, "Input"],
Cell[14165, 457, 259, 7, 25, "Text"],
Cell[14427, 466, 45, 1, 30, "Input"],
Cell[14475, 469, 56, 1, 30, "Input"],
Cell[14534, 472, 71, 1, 30, "Input"],
Cell[14608, 475, 53, 1, 30, "Input"],
Cell[14664, 478, 251, 5, 42, "Text"],
Cell[14918, 485, 87, 1, 30, "Input"],
Cell[15008, 488, 86, 1, 30, "Input"],
Cell[15097, 491, 67, 1, 30, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15201, 497, 60, 0, 85, "Section"],
Cell[15264, 499, 874, 24, 58, "Text"],
Cell[16141, 525, 658, 17, 58, "Text"],
Cell[16802, 544, 1361, 48, 75, "Text"],
Cell[18166, 594, 112, 4, 25, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

